Summary:        Facebook protocol plugin for BitlBee
Name:           bitlbee-facebook
Version:        1.1.2
Release:        2%{?dist}
License:        GPLv2+
URL:            https://github.com/bitlbee/bitlbee-facebook
Source0:        https://github.com/bitlbee/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/bitlbee/bitlbee-facebook/pull/153
Patch0:         bitlbee-facebook-1.1.2-autotools.patch
BuildRequires:  pkgconfig(bitlbee) >= 3.4
BuildRequires:  pkgconfig(json-glib-1.0) >= 0.14.0
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
The Facebook protocol plugin for BitlBee. This plugin uses the Facebook
Mobile API.

%prep
%setup -q
%patch0 -p1 -b .autotools
./autogen.sh

%build
# https://lists.gnu.org/archive/html/autoconf/2010-03/msg00105.html
%if 0%{?rhel} && 0%{?rhel} < 7
export CFLAGS="$RPM_OPT_FLAGS -DPACKAGE_URL=\\\"%{url}\\\""
%endif

%configure
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/bitlbee/facebook.la

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_libdir}/bitlbee/facebook.so

%changelog
* Sun Oct 01 2017 Robert Scheck <robert@fedoraproject.org> 1.1.2-2
- Changes to match with Fedora Packaging Guidelines (#1290235)

* Fri Sep 15 2017 Robert Scheck <robert@fedoraproject.org> 1.1.2-1
- Upgrade to 1.1.2

* Mon Apr 03 2017 Robert Scheck <robert@fedoraproject.org> 1.1.1-1
- Upgrade to 1.1.1

* Tue Mar 08 2016 Robert Scheck <robert@fedoraproject.org> 1.0.0-1
- Upgrade to 1.0.0

* Wed Dec 09 2015 Robert Scheck <robert@fedoraproject.org> 0-0.1.20151105git
- Upgrade to GIT 20151105
- Initial spec file for Fedora and Red Hat Enterprise Linux
